> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deflect.bot/llms.txt
> Use this file to discover all available pages before exploring further.

# IP Intelligence

> Check IP reputation and geolocation

import { CodeBlock } from 'nextra/components'

Check IP reputation, risk, and geolocation signals.


## OpenAPI

````yaml POST /intelligence/ip
openapi: 3.1.0
info:
  title: Deflect API
  description: API endpoints for Deflect Antibot
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.deflect.bot
security: []
paths:
  /intelligence/ip:
    post:
      description: Check IP reputation and geolocation
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IpRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IpResponse'
        '401':
          description: unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
components:
  schemas:
    IpRequest:
      type: object
      required:
        - api_key
        - ip
      properties:
        api_key:
          type: string
          description: Your Deflect API Key
        ip:
          type: string
          format: ipv4
    IpResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: object
          properties:
            is_vpn:
              type: boolean
            is_datacenter_proxy:
              type: boolean
            is_residential_proxy:
              type: boolean
            is_bogon:
              type: boolean
            is_tor_node:
              type: boolean
            is_threat:
              type: boolean
            city:
              type: string
            postal_code:
              type: string
            country:
              type: string
            continent:
              type: string
            latitude:
              type: number
            longitude:
              type: number
            asn_number:
              type: integer
            asn_organization:
              type: string
            isp:
              type: string
    UnauthorizedError:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: invalid_token
      required:
        - success
        - message

````